Package net.md_5.bungee.config

# Class YamlConfiguration

java.lang.Object
net.md_5.bungee.config.ConfigurationProvider
net.md_5.bungee.config.YamlConfiguration

public class YamlConfiguration extends ConfigurationProvider

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Configuration`
  `load(File file)`
  `Configuration`
  `load(File file, Configuration defaults)`
  `Configuration`
  `load(InputStream is)`
  `Configuration`
  `load(InputStream is, Configuration defaults)`
  `Configuration`
  `load(Reader reader)`
  `Configuration`
  `load(Reader reader, Configuration defaults)`
  `Configuration`
  `load(String string)`
  `Configuration`
  `load(String string, Configuration defaults)`
  `void`
  `save(Configuration config, File file)`
  `void`
  `save(Configuration config, Writer writer)`

  ### Methods inherited from class net.md_5.bungee.config.ConfigurationProvider

  `getProvider`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### save

    public void save(Configuration config, File file) throws IOException
    Specified by:
      `save` in class `ConfigurationProvider`
    Throws:
      `IOException`

  - ### save

    public void save(Configuration config, Writer writer)
    Specified by:
      `save` in class `ConfigurationProvider`

  - ### load

    public Configuration load(File file) throws IOException
    Specified by:
      `load` in class `ConfigurationProvider`
    Throws:
      `IOException`

  - ### load

    public Configuration load(File file, Configuration defaults) throws IOException
    Specified by:
      `load` in class `ConfigurationProvider`
    Throws:
      `IOException`

  - ### load

    public Configuration load(Reader reader)
    Specified by:
      `load` in class `ConfigurationProvider`

  - ### load

    public Configuration load(Reader reader, Configuration defaults)
    Specified by:
      `load` in class `ConfigurationProvider`

  - ### load

    public Configuration load(InputStream is)
    Specified by:
      `load` in class `ConfigurationProvider`

  - ### load

    public Configuration load(InputStream is, Configuration defaults)
    Specified by:
      `load` in class `ConfigurationProvider`

  - ### load

    public Configuration load(String string)
    Specified by:
      `load` in class `ConfigurationProvider`

  - ### load

    public Configuration load(String string, Configuration defaults)
    Specified by:
      `load` in class `ConfigurationProvider`